//=============================================================================
// WarBoss.
//=============================================================================
class WarBoss extends SkeletalPlayer;

#exec ANIM IMPORT ANIM=SoldierAnim ANIMFILE=models\ut_ps2_male.PSA COMPRESS=0.28 IMPORTSEQS=1

// *** XAN ***
#exec MESH MODELIMPORT MESH=NewXan MODELFILE=models\xan_lowpoly.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=NewXan X=0 Y=0 Z=135 YAW=192

#exec MESH WEAPONATTACH MESH=NewXan BONE="Bip01 R Hand"
#exec MESH WEAPONPOSITION MESH=NewXan YAW=0 PITCH=0 ROLL=128 X=0.0 Y=0.0 Z=0.0

#exec MESHMAP SCALE MESHMAP=NewXan X=0.3125 Y=0.3125 Z=0.3125
#exec MESH DEFAULTANIM MESH=NewXan ANIM=SoldierAnim

//*** WAR MACHINE BOSS ***
#exec MESH MODELIMPORT MESH=WarMachineBoss MODELFILE=models\warboss_lowpoly.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=WarMachineBoss X=0 Y=0 Z=135 YAW=192

#exec MESH WEAPONATTACH MESH=WarMachineBoss BONE="Bip01 R Hand"
#exec MESH WEAPONPOSITION MESH=WarMachineBoss YAW=0 PITCH=0 ROLL=128 X=0.0 Y=0.0 Z=0.0

#exec MESHMAP SCALE MESHMAP=WarMachineBoss X=0.3125 Y=0.3125 Z=0.3125
#exec MESH DEFAULTANIM MESH=WarMachineBoss ANIM=SoldierAnim

// *** ANIMATION NOTIFIES ***
#exec ANIM DIGEST ANIM=SoldierAnim VERBOSE

#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLG TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLG TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLGFR TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunLGFR TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSM TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSM TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSMFR TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=RunSMFR TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeL TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeL TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeR TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=StrafeR TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=BackRun TIME=0.25 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=BackRun TIME=0.75 FUNCTION=PlayFootStep
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead1 TIME=0.7 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead2 TIME=0.9 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead3 TIME=0.45 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead4 TIME=0.6 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead7 TIME=0.7 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead8 TIME=0.7 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead9B TIME=0.8 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Dead11 TIME=0.57 FUNCTION=LandThump
#exec ANIM NOTIFY ANIM=SoldierAnim SEQ=Challenge TIME=0.35 FUNCTION=PlayLoudStep

#exec TEXTURE IMPORT NAME=WarBlue FILE=MODELS\war_blue.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=WarBlueFace FILE=MODELS\war_blue_chat.pcx GROUP="Skins" MIPS=OFF
#exec TEXTURE IMPORT NAME=WarRed FILE=MODELS\war_Red.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=WarRedFace FILE=MODELS\war_Red_chat.pcx GROUP="Skins" MIPS=OFF
#exec TEXTURE IMPORT NAME=WarGreen FILE=MODELS\war_Green.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=WarGreenFace FILE=MODELS\war_Green_chat.pcx GROUP="Skins" MIPS=OFF
#exec TEXTURE IMPORT NAME=WarGold FILE=MODELS\war_Gold.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=WarGoldFace FILE=MODELS\war_Gold_chat.pcx GROUP="Skins" MIPS=OFF

static function SetMultiSkin(Actor SkinActor, string SkinName, string FaceName, byte TeamNum)
{
	local texture Face;

	if ( TeamNum == 0 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarRed",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarRedFace",class'Texture'));
	}
	else if ( TeamNum == 3 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarGold",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarGoldFace",class'Texture'));
	}
	else if ( TeamNum == 2 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarGreen",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarGreenFace",class'Texture'));
	}
	else
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarBlue",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarBlueFace",class'Texture'));
	}
	if( Pawn(SkinActor) != None )	
		Pawn(SkinActor).PlayerReplicationInfo.TalkTexture =Face;
}

defaultproperties
{
     Deaths(0)=Sound'Botpack.Boss.BDeath1'
     Deaths(1)=Sound'Botpack.Boss.BDeath1'
     Deaths(2)=Sound'Botpack.Boss.BDeath3'
     Deaths(3)=Sound'Botpack.Boss.BDeath4'
     Deaths(4)=Sound'Botpack.Boss.BDeath3'
     Deaths(5)=Sound'Botpack.Boss.BDeath4'
     HitSound3=Sound'Botpack.Boss.BInjur3'
     HitSound4=Sound'Botpack.Boss.BInjur4'
     LandGrunt=Sound'Botpack.Boss.Bland01'
     StatusDoll=Texture'Botpack.Icons.BossDoll'
     StatusBelt=Texture'Botpack.Icons.BossBelt'
     VoicePackMetaClass="BotPack.VoiceBoss"
     CarcassType=Class'Botpack.TBossCarcass'
     JumpSound=Sound'Botpack.Boss.BJump1'
     SelectionMesh="SkeletalChars.WarMachineBoss"
     SpecialMesh="Botpack.TrophyMale1"
     HitSound1=Sound'Botpack.Boss.BInjur1'
     HitSound2=Sound'Botpack.Boss.BInjur2'
     Die=Sound'Botpack.Boss.BDeath1'
     MenuName="War Boss"
     VoiceType="BotPack.VoiceBoss"
     Mesh=SkeletalMesh'SkeletalChars.WarMachineBoss'
}
