//=============================================================================
// WarBoss.
//=============================================================================
class WarBossBot extends SkeletalBot;

static function SetMultiSkin(Actor SkinActor, string SkinName, string FaceName, byte TeamNum)
{
	local texture Face;

	if ( TeamNum == 0 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarRed",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarRedFace",class'Texture'));
	}
	else if ( TeamNum == 3 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarGold",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarGoldFace",class'Texture'));
	}
	else if ( TeamNum == 2 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarGreen",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarGreenFace",class'Texture'));
	}
	else
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.WarBlue",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.WarBlueFace",class'Texture'));
	}
	if( Pawn(SkinActor) != None )	
		Pawn(SkinActor).PlayerReplicationInfo.TalkTexture =Face;
}

defaultproperties
{
     CarcassType=Class'Botpack.TBossCarcass'
     HitSound3=Sound'Botpack.Boss.BInjur3'
     HitSound4=Sound'Botpack.Boss.BInjur4'
     Deaths(0)=Sound'Botpack.Boss.BDeath1'
     Deaths(1)=Sound'Botpack.Boss.BDeath1'
     Deaths(2)=Sound'Botpack.Boss.BDeath3'
     Deaths(3)=Sound'Botpack.Boss.BDeath4'
     Deaths(4)=Sound'Botpack.Boss.BDeath3'
     Deaths(5)=Sound'Botpack.Boss.BDeath4'
     LandGrunt=Sound'Botpack.Boss.Bland01'
     JumpSound=Sound'Botpack.Boss.BJump1'
     StatusDoll=Texture'Botpack.Icons.BossDoll'
     StatusBelt=Texture'Botpack.Icons.BossBelt'
     VoicePackMetaClass="BotPack.VoiceBoss"
     SelectionMesh="SkeletalChars.WarMachineBoss"
     SpecialMesh="Botpack.TrophyMale1"
     HitSound1=Sound'Botpack.Boss.BInjur1'
     HitSound2=Sound'Botpack.Boss.BInjur2'
     Die=Sound'Botpack.Boss.BDeath1'
     MenuName="War Boss"
     VoiceType="BotPack.VoiceBoss"
     Mesh=SkeletalMesh'SkeletalChars.WarMachineBoss'
}
