//=============================================================================
// XanMk2.
//=============================================================================
class XanMk2 extends SkeletalPlayer;

#exec TEXTURE IMPORT NAME=SteveXan FILE=MODELS\Xan_Mark2.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=XanFace FILE=MODELS\Xan_mark2_chat.pcx GROUP="Skins" MIPS=OFF
#exec TEXTURE IMPORT NAME=TitanFace FILE=MODELS\xan_iron_chat.pcx GROUP="Skins" MIPS=OFF
#exec TEXTURE IMPORT NAME=BronzeFace FILE=MODELS\xan_alpha_chat.pcx GROUP="Skins" MIPS=OFF
#exec TEXTURE IMPORT NAME=XanTitanium FILE=MODELS\Xan_iron.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=XanBronze FILE=MODELS\Xan_Alpha.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=XanRed FILE=MODELS\Xan_blue.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=XanBlue FILE=MODELS\Xan_red.pcx GROUP="Skins" LODSET=0
#exec TEXTURE IMPORT NAME=XanRedFace FILE=MODELS\Xan_blue_chat.pcx GROUP="Skins" MIPS=OFF
#exec TEXTURE IMPORT NAME=XanBlueFace FILE=MODELS\Xan_red_chat.pcx GROUP="Skins" MIPS=OFF

static function SetMultiSkin(Actor SkinActor, string SkinName, string FaceName, byte TeamNum)
{
	local texture Face;

	if ( TeamNum == 1 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.XanRed",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.XanRedFace",class'Texture'));
	}
	else if ( TeamNum == 0 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.XanBlue",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.XanBlueFace",class'Texture'));
	}
	else if ( TeamNum == 3 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.XanBronze",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.BronzeFace",class'Texture'));
	}
	else if ( TeamNum == 2 )
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.SteveXan",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.XanFace",class'Texture'));
	}
	else
	{
		SkinActor.Skin =  texture(DynamicLoadObject("SkeletalChars.XanTitanium",class'Texture'));
		Face =  texture(DynamicLoadObject("SkeletalChars.TitanFace",class'Texture'));
	}
	if( Pawn(SkinActor) != None )	
		Pawn(SkinActor).PlayerReplicationInfo.TalkTexture =Face;
}

defaultproperties
{
     Deaths(0)=Sound'Botpack.Boss.BDeath1'
     Deaths(1)=Sound'Botpack.Boss.BDeath1'
     Deaths(2)=Sound'Botpack.Boss.BDeath3'
     Deaths(3)=Sound'Botpack.Boss.BDeath4'
     Deaths(4)=Sound'Botpack.Boss.BDeath3'
     Deaths(5)=Sound'Botpack.Boss.BDeath4'
     HitSound3=Sound'Botpack.Boss.BInjur3'
     HitSound4=Sound'Botpack.Boss.BInjur4'
     LandGrunt=Sound'Botpack.Boss.Bland01'
     StatusDoll=Texture'Botpack.Icons.BossDoll'
     StatusBelt=Texture'Botpack.Icons.BossBelt'
     VoicePackMetaClass="BotPack.VoiceBoss"
     CarcassType=Class'Botpack.TBossCarcass'
     JumpSound=Sound'Botpack.Boss.BJump1'
     SelectionMesh="SkeletalChars.NewXan"
     SpecialMesh="Botpack.TrophyMale1"
     HitSound1=Sound'Botpack.Boss.BInjur1'
     HitSound2=Sound'Botpack.Boss.BInjur2'
     Die=Sound'Botpack.Boss.BDeath1'
     MenuName="Xan Mark II"
     VoiceType="BotPack.VoiceBoss"
     Mesh=SkeletalMesh'SkeletalChars.NewXan'
}
