//=============================================================================
// VEClip.
//=============================================================================
class VEClip expands EClip;

var Rotator r;
var Vector v;
var Vector Direction;
var int i;
var int num;
var float rand;

function TakeDamage( int Dam, Pawn instigatedBy, Vector hitlocation, 
                     Vector momentum, name damageType)
{
    Instigator = instigatedBy;
    GotoState('TakingDamage');
}

function actor TraceShot(out vector HitLocation, out vector HitNormal, vector EndTrace, vector StartTrace)
{
    local vector realHit;
    local actor Other;
    Other = Trace(HitLocation,HitNormal,EndTrace,StartTrace,True);
    if ( Pawn(Other) != None )
    {
        realHit = HitLocation;
        if ( !Pawn(Other).AdjustHitLocation(HitLocation, EndTrace - StartTrace) )
            Other = Pawn(Other).TraceShot(HitLocation,HitNormal,EndTrace,realHit);
    }
    return Other;
}

function ProcessTraceHit(Actor Other, Vector HitLocation, Vector HitNormal, Vector Direction, Pawn instigatedBy)
{
    local int HitDamage;

    HitDamage = 17; //same as the enforcer

    if (Other == Level)
    {
        Spawn(class'UT_WallHit',,, HitLocation+HitNormal, Rotator(HitNormal));
    }
    else if ((Other != self) && (Other != None) ) 
    {
        if ( FRand() < 0.2 )
            Direction *= 5;
        Other.TakeDamage(HitDamage, instigatedBy, HitLocation, 3000.0*Direction, 'shot');
        if ( !Other.bIsPawn && !Other.IsA('Carcass') )
            spawn(class'UT_SpriteSmokePuff',,,HitLocation+HitNormal*9);
    }       
}

function TraceFire( Vector Direction, Pawn instigatedBy )
{
    local Vector HitLocation, HitNormal, StartTrace, EndTrace;
    local Actor Other;

    StartTrace = Location;
    EndTrace = StartTrace + (10000 * Direction); 
    Other = TraceShot(HitLocation, HitNormal, EndTrace, StartTrace);
    ProcessTraceHit(Other, HitLocation, HitNormal, Direction, instigatedBy);
}

State Sleeping
{
    ignores TakeDamage, Touch;
}

State TakingDamage
{
    ignores TakeDamage, Touch;

Begin:

    bHidden = true;

    spawn( class'UT_SpriteBallExplosion',,,Location );
    HurtRadius(25, 80, 'shot', 20000, Location );

    num = AmmoAmount;
    for (i=0; i<num; i++)
    {
        rand = FRand();
        r = RotRand(True);  
        v = VRand();  

        if (rand > 0.2)
        {
            Spawn( class'UT_ShellCase',,, Location + (v+vect(0,0,1))*CollisionHeight*10*rand, r);

            if (rand > 0.4)
            {
                Direction = vector(r);
                Spawn( class'MTracer',,, Location, r ); 
                TraceFire( Direction, Instigator );
            }
        }

        sleep(rand*0.04);
    }

    SetRespawn();
}

defaultproperties
{
     RespawnTime=15.000000
     bProjTarget=True
}
